import { Node, Edge, Elements, Transform, XYPosition, Rect, Box, Connection, FlowExportObject, Dimensions, FlowStore, GraphNode, FlowElements, FlowElement, GraphEdge } from "../types";
export declare const isInputDOMNode: (e: KeyboardEvent | MouseEvent) => boolean;
export declare const getDimensions: (node: HTMLElement) => Dimensions;
export declare const clamp: (val: number, min?: number, max?: number) => number;
export declare const clampPosition: (position: XYPosition, extent: import("../types").TranslateExtent) => XYPosition;
export declare const getHostForElement: (element: HTMLElement) => Document;
export declare const isEdge: (element: Node | Edge | Connection) => element is Edge<any>;
export declare const isNode: (element: Node | Edge | Connection) => element is Node<any>;
export declare const isGraphNode: (element: FlowElement | Connection) => element is GraphNode<any>;
export declare const isGraphEdge: (element: FlowElement | Connection) => element is GraphEdge<any>;
export declare const getOutgoers: (node: GraphNode, elements: Elements<any>) => (Node<any> | Edge<any>)[];
export declare const getIncomers: (node: GraphNode, elements: Elements<any>) => (Node<any> | Edge<any>)[];
export declare const removeElements: (elementsToRemove: Elements<any>, elements: Elements<any>) => (Node<any> | Edge<any>)[];
export declare const addEdge: (edgeParams: Edge | Connection, elements: Elements<any>) => Elements<any>;
export declare const updateEdge: (oldEdge: Edge, newConnection: Connection, elements: Elements<any>) => Elements<any>;
export declare const pointToRendererPoint: ({ x, y }: XYPosition, [tx, ty, tScale]: Transform, snapToGrid: boolean, [snapX, snapY]: [number, number]) => XYPosition;
export declare const onLoadProject: (currentStore: FlowStore) => (position: XYPosition) => XYPosition;
export declare const parseNode: (node: Node, nodeExtent: import("../types").TranslateExtent) => GraphNode;
export declare const parseEdge: (edge: Edge) => Edge;
export declare const rectToBox: ({ x, y, width, height }: Rect) => Box;
export declare const boxToRect: ({ x, y, x2, y2 }: Box) => Rect;
export declare const getBoundsofRects: (rect1: Rect, rect2: Rect) => Rect;
export declare const getRectOfNodes: (nodes: GraphNode[]) => Rect;
export declare const graphPosToZoomedPos: ({ x, y }: XYPosition, [tx, ty, tScale]: Transform) => XYPosition;
export declare const getNodesInside: (nodes: GraphNode[], rect: Rect, [tx, ty, tScale]?: Transform, partially?: boolean) => GraphNode<any>[];
export declare const getConnectedEdges: (nodes: GraphNode[], edges: Edge[]) => Edge<any>[];
export declare const onLoadGetElements: (currentStore: FlowStore) => () => FlowElements<any>;
export declare const onLoadToObject: (currentStore: FlowStore) => () => FlowExportObject;
export declare const getTransformForBounds: (bounds: Rect, width: number, height: number, minZoom: number, maxZoom: number, padding?: number) => Transform;
